summaryrefslogtreecommitdiff
path: root/functions/color.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2008-09-04 10:05:50 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:03:41 +0100
commitb785db39a2cfc8beb4b5274ff9b99407fc4707a0 (patch)
tree6c09609b8d627c620f17961a96ee102888175826 /functions/color.sh
parent3c48eb2a5abc3de504f9a5f96a959a06afbf1100 (diff)
downloadlive-build-b785db39a2cfc8beb4b5274ff9b99407fc4707a0.zip
live-build-b785db39a2cfc8beb4b5274ff9b99407fc4707a0.tar.gz
Adding color functions for future usage.
Diffstat (limited to 'functions/color.sh')
-rwxr-xr-xfunctions/color.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/functions/color.sh b/functions/color.sh
new file mode 100755
index 0000000..c4f8743
--- /dev/null
+++ b/functions/color.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# color.sh - define color values
+# Copyright (C) 2006-2008 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+NO_COLOR=""
+
+UNDERSCORE=""
+BLINK=""
+
+BLACK=""
+DARK_GRAY=""
+
+RED=""
+LIGHT_RED=""
+
+GREEN=""
+LIGHT_GREEN=""
+
+BROWN=""
+YELLOW=""
+
+BLUE=""
+LIGHT_BLUE=""
+
+PURPLE=""
+LIGHT_PURPLE=""
+
+CYAN=""
+LIGHT_CYAN=""
+
+GRAY=""
+WHITE=""